{ config, pkgs, variables, lib, ... }:

{ 
  console = {
    keyMap = "us";
    font   = "Lat2-Terminus16";
  };

  i18n.defaultLocale = "en_US.UTF-8";

  nix = {
    autoOptimiseStore = true;
    package = pkgs.nixUnstable;
    extraOptions = ''
      experimental-features = nix-command flakes
    '';
    
    gc = {
      automatic  = true;
      dates      = "weekly";
      persistent = true;
    };
  };

  nixpkgs = {
    config = {
      allowUnfree = true;
    };
  };

  environment.systemPackages = with pkgs; [
    file
    pciutils
    bind
    wget
    git
    curl
    htop
    glances
    tcpdump
    restic
    binutils
    neovim
    home-manager
    ripgrep
    tmux
    parted
    unzip
    tree
    smartmontools
  ];  
}
