{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-21.05";
    nixos-unstable.url = "github:NixOS/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:rycee/home-manager/release-21.05";
      inputs.nixpkgs.follows = "nixpkgs";
    }; 
  };
  
  outputs = { self, nixpkgs, nixos-unstable, home-manager }: let
    util = import ./utils.nix { inherit nixpkgs nixos-unstable home-manager; };
  in  {
    nixosConfigurations = {
      architect = util.mkHost { name = "architect"; };
      gAluminum = util.mkHost { name = "gAluminum"; };
      proxy = util.mkHost { name = "proxy"; };
    };
  };
}
